Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.maf
Class AgentProfile

    java.lang.Object
      |
      +--com.ibm.maf.AgentProfile

All Implemented Interfaces:
  java.io.Serializable

public final class AgentProfile
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `agent_system_description`
`short` | `agent_system_type`
`short` | `language_id`
`short` | `major_version`
`short` | `minor_version`
`java.lang.Object[]` | `properties`
`short` | `serialization`

Constructor Summary
`AgentProfile()`
`AgentProfile(short __language_id, short __agent_system_type, java.lang.String __agent_system_description, short __major_version, short __minor_version, short __serialization, java.lang.Object[] __properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### language_id

    public short language_id

### agent_system_type

    public short agent_system_type

### agent_system_description

    public java.lang.String agent_system_description

### major_version

    public short major_version

### minor_version

    public short minor_version

### serialization

    public short serialization

### properties

    public java.lang.Object[] properties

Constructor Detail

### AgentProfile

    public AgentProfile()

### AgentProfile

    public AgentProfile(short __language_id,
                        short __agent_system_type,
                        java.lang.String __agent_system_description,
                        short __major_version,
                        short __minor_version,
                        short __serialization,
                        java.lang.Object[] __properties)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD